clang-tools 10.0.0

Classes | Namespaces | Enumerations | Functions
Serialization.h File Reference
`#include "Headers.h"`
`#include "Index.h"`
`#include "index/Symbol.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/Support/Error.h"`
Include dependency graph for Serialization.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::IndexFileIn
struct | clang::clangd::IndexFileOut

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Enumerations
enum | clang::clangd::IndexFileFormat { clang::clangd::IndexFileFormat::RIFF, clang::clangd::IndexFileFormat::YAML }

## Functions
llvm::Expected< IndexFileIn > | clang::clangd::readIndexFile (llvm::StringRef Data)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const IndexFileOut &O)
std::string | clang::clangd::toYAML (const Symbol &)
std::string | clang::clangd::toYAML (const std::pair< SymbolID, ArrayRef< Ref >> &)
std::string | clang::clangd::toYAML (const Relation &)
std::unique_ptr< SymbolIndex > | clang::clangd::loadIndex (llvm::StringRef SymbolFilename, bool UseDex)